## RygelStateMachine

RygelStateMachine — StateMachine interface.

## Functions

void | rygel_state_machine_run ()
void | rygel_state_machine_run_finish ()
GCancellable * | rygel_state_machine_get_cancellable ()
void | rygel_state_machine_set_cancellable ()

## Properties

GCancellable * | cancellable | Read / Write

## Signals

void | completed | Run Last

## Types and Values

| RygelStateMachine
struct | RygelStateMachineIface

## Object Hierarchy

        GInterface
        ╰── RygelStateMachine

## Prerequisites

RygelStateMachine requires GObject.

## Description

## Functions

### rygel_state_machine_run ()

    void
    rygel_state_machine_run (RygelStateMachine *self,
                             GAsyncReadyCallback _callback_,
                             gpointer _user_data_);

See also: `rygel_state_machine_run_finish()`

#### Parameters

self | the RygelStateMachine instance |
_callback_ | callback to call when the request is satisfied. | [scope async]
_user_data_ | the data to pass to `_callback_` function. | [closure]

### rygel_state_machine_run_finish ()

    void
    rygel_state_machine_run_finish (RygelStateMachine *self,
                                    GAsyncResult *_res_);

See also: `rygel_state_machine_run()`

#### Parameters

self | the RygelStateMachine instance |
_res_ | a GAsyncResult |

### rygel_state_machine_get_cancellable ()

    GCancellable *
    rygel_state_machine_get_cancellable (RygelStateMachine *self);

Get and return the current value of the "cancellable" property.

#### Parameters

self | the RygelStateMachine instance to query |

#### Returns

the value of the "cancellable" property

### rygel_state_machine_set_cancellable ()

    void
    rygel_state_machine_set_cancellable (RygelStateMachine *self,
                                         GCancellable *value);

Set the value of the "cancellable" property to `value` .

#### Parameters

self | the RygelStateMachine instance to modify |
value | the new value of the "cancellable" property |

## Types and Values

### RygelStateMachine

    typedef struct _RygelStateMachine RygelStateMachine;

StateMachine interface.

### struct RygelStateMachineIface

    struct RygelStateMachineIface {
    	GTypeInterface parent_iface;
    	void (*run) (RygelStateMachine* self, GAsyncReadyCallback _callback_, gpointer _user_data_);
    	void (*run_finish) (RygelStateMachine* self, GAsyncResult* _res_);
    	GCancellable* (*get_cancellable) (RygelStateMachine* self);
    	void (*set_cancellable) (RygelStateMachine* self, GCancellable* value);
    };

Interface for creating RygelStateMachine implementations.

#### Members

GTypeInterface `parent_iface`; | the parent interface structure |
`run` () | virtual method called by `rygel_state_machine_run()` |
`run_finish` () | asynchronous finish function for `run`, called by `rygel_state_machine_run()` |
`get_cancellable` () | getter method for the abstract property "cancellable" |
`set_cancellable` () | setter method for the abstract property "cancellable" |

## Property Details

### The `“cancellable”` property

      “cancellable”              GCancellable *

cancellable.

Flags: Read / Write

## Signal Details

### The `“completed”` signal

    void
    user_function (RygelStateMachine *state_machine,
                   gpointer           user_data)

#### Parameters

state_machine | the RygelStateMachine instance that received the signal |
user_data | user data set when the signal handler was connected. |

Flags: Run Last